a:link { color: #004faf; text-decoration: none } a:visited { color: #672967; text-decoration: none }body { background: white; color: black; } -->

| Classes - Annotated - Tree - Functions - Home - Structure Qte

# QDomNodeList Class Reference
[ XML module ]

The QDomNodeList class is a list of QDomNode objects. More...

`#include <qdom.h>`

List of all member functions.

## Public Members

- QDomNodeList ()
- QDomNodeList ( const QDomNodeList & )
- QDomNodeList& operator= ( const QDomNodeList & )
- bool operator== ( const QDomNodeList & ) const
- bool operator!= ( const QDomNodeList & ) const
- virtual ~QDomNodeList ()
- virtual QDomNode item ( int index ) const
- virtual uint length () const
- uint count () const
- QDomNodeList ( QDOM_NodeListPrivate * ) (internal)

## Detailed Description

The QDomNodeList class is a list of QDomNode objects.

Lists can be obtained by QDomDocument::elementsByTagName() and QDomNode::childNodes(). The Document Object Model (DOM) requires these lists to be "live": whenever you change the underlying document, the contents of the list will get updated.

For further information about the Document Objct Model see http://www.w3.org/TR/REC-DOM-Level-1/. For a more general introduction of the DOM implementation see the QDomDocument documentation.

See also QDomNode::childNode() and QDomDocument::elementsByTagName().

## Member Function Documentation

### QDomNodeList::QDomNodeList ()

Creates an empty node list.

### QDomNodeList::QDomNodeList ( const QDomNodeList & n )

Copy constructor.

### QDomNodeList::~QDomNodeList () `[virtual]`

Destructor.

### uint QDomNodeList::count () const

Returns the number of nodes in the list.

This function is the same as length().

### QDomNode QDomNodeList::item ( int index ) const `[virtual]`

Returns the node at position index.

If index is negative or if index >= length() then a null node is returned (i.e. a node for which QDomNode::isNull() returns TRUE).

### uint QDomNodeList::length () const `[virtual]`

Returns the number of nodes in the list.

This function is the same as count().

### bool QDomNodeList::operator!= ( const QDomNodeList & n ) const

Returns TRUE if both lists are not equal, otherwise FALSE.

### QDomNodeList& QDomNodeList::operator= ( const QDomNodeList & n )

Assigns another node list to this object.

### bool QDomNodeList::operator== ( const QDomNodeList & n ) const

Returns TRUE if both lists are equal, otherwise FALSE.

### QDomNodeList::QDomNodeList ( QDOM_NodeListPrivate * p )

For internal use only.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2005 Trolltech, all rights reserved.